Chromium Code Reviews
Help | Chromium Project | Sign in
(12)

Issue 11368040: Introduce RemoveChromeTaskbarShortcuts() to delete all pinned-to-taskbar shortcuts owned by the uni… (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
2 years, 6 months ago by gab (AFK until Friday)
Modified:
2 years, 6 months ago
Reviewers:
brettw, robertshield
CC:
chromium-reviews, grt+watch_chromium.org, erikwright+watch_chromium.org, erikwright, huangs
Visibility:
Public.

Description

Re-commit: Introduce RemoveChromeTaskbarShortcuts() to delete all pinned-to-taskbar shortcuts owned by the uninstalled Chrome. Original commit http://crrev.com/165505 Reverted in http://crrev.com/165524 BUG=158632 TEST=No user-level shortcut Chrome left behind in taskbar post user-level self-destruct. Committed: http://src.chromium.org/viewvc/chrome?view=rev&revision=166285

Patch Set 1 #

Patch Set 2 : fixed XP (no taskbar shortcuts on XP/Vista... #

Patch Set 3 : compile... #

Patch Set 4 : fix closing bracket #

Patch Set 5 : dear robert@garage #

Total comments: 2

Messages

Total messages: 11 (0 generated)
gab (AFK until Friday)
Sir, PTAL.
2 years, 6 months ago (2012-11-01 22:36:02 UTC) #1
robertshield
On 2012/11/01 22:36:02, gab wrote: > Sir, PTAL. The trybots are unhappy with this: e:\b\build\slave\win\build\src\base\path_service_unittest.cc(61) ...
2 years, 6 months ago (2012-11-02 00:13:20 UTC) #2
gab (AFK until Friday)
On 2012/11/02 00:13:20, robertshield wrote: > On 2012/11/01 22:36:02, gab wrote: > > Sir, PTAL. ...
2 years, 6 months ago (2012-11-02 03:26:28 UTC) #3
gab (AFK until Friday)
ping (see reply above).
2 years, 6 months ago (2012-11-05 14:45:42 UTC) #4
gab (AFK until Friday)
Comments (sent over IM) addressed.
2 years, 6 months ago (2012-11-06 14:09:35 UTC) #5
robertshield
lgtm http://codereview.chromium.org/11368040/diff/14001/base/path_service_unittest.cc File base/path_service_unittest.cc (right): http://codereview.chromium.org/11368040/diff/14001/base/path_service_unittest.cc#newcode65 base/path_service_unittest.cc:65: file_util::PathExists(path)); nice :)
2 years, 6 months ago (2012-11-06 14:31:45 UTC) #6
gab (AFK until Friday)
@brettw: this is a re-commit of a reverted CL which you originally LGTMed (see diff ...
2 years, 6 months ago (2012-11-06 14:55:21 UTC) #7
brettw
lgtm http://codereview.chromium.org/11368040/diff/14001/chrome/installer/util/shell_util.cc File chrome/installer/util/shell_util.cc (right): http://codereview.chromium.org/11368040/diff/14001/chrome/installer/util/shell_util.cc#newcode1871 chrome/installer/util/shell_util.cc:1871: LOG(ERROR) << "Couldn't resolve shortcut at " << ...
2 years, 6 months ago (2012-11-06 19:29:32 UTC) #8
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/gab@chromium.org/11368040/14001
2 years, 6 months ago (2012-11-06 20:10:36 UTC) #9
brettw
You can keep LOG for consistency.
2 years, 6 months ago (2012-11-06 20:12:29 UTC) #10
commit-bot: I haz the power
2 years, 6 months ago (2012-11-06 22:27:03 UTC) #11
Change committed as 166285
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld ec887be